org.eclipse.jdt.launching

## Class ExecutionArguments

- java.lang.Object
- - org.eclipse.jdt.launching.ExecutionArguments

    public class ExecutionArguments
    extends Object

The execution arguments for running a Java VM. The execution arguments are separated into two parts: arguments to the VM itself, and arguments to the Java main program. This class provides convenience methods for parsing a string of arguments into separate components.

Clients may instantiate this class.

Restriction:
  This class is not intended to be sub-classed by clients.

### Constructor Summary

Constructors
Constructor and Description
`ExecutionArguments(String vmArgs, String programArgs)` Creates a new execution arguments object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getProgramArguments()` Returns the program arguments as one string.
`String[]` `getProgramArgumentsArray()` Returns the program arguments as an array of individual arguments.
`String` `getVMArguments()` Returns the VM arguments as one string.
`String[]` `getVMArgumentsArray()` Returns the VM arguments as an array of individual arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecutionArguments

    public ExecutionArguments(String vmArgs,
                              String programArgs)

Creates a new execution arguments object.

Parameters:
  `vmArgs` - command line argument string passed to the VM
  `programArgs` - command line argument string passed to the program

### Method Detail

#### getVMArguments

    public String getVMArguments()

Returns the VM arguments as one string.

Returns:
  the VM arguments as one string

#### getProgramArguments

    public String getProgramArguments()

Returns the program arguments as one string.

Returns:
  the program arguments as one string

#### getVMArgumentsArray

    public String[] getVMArgumentsArray()

Returns the VM arguments as an array of individual arguments.

Returns:
  the VM arguments as an array of individual arguments

#### getProgramArgumentsArray

    public String[] getProgramArgumentsArray()

Returns the program arguments as an array of individual arguments.

Returns:
  the program arguments as an array of individual arguments